package cn.wisenergy.mapper;

import cn.wisenergy.model.app.CultivatingPrizeInfo;
import cn.wisenergy.model.vo.CultivatingPrizeInfoVo;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;

import java.util.List;
import java.util.Map;

/**
 * 培育奖详情记录
 * @author zw
 */
public interface CultivatingPrizeInfoMapper extends BaseMapper<CultivatingPrizeInfo> {

    CultivatingPrizeInfo getOneByUserId(String userId);

    int add(CultivatingPrizeInfo cultivatingPrizeInfo);

    /**
     * 分页查询所有信息
     * @param map
     * @return
     */
    List<CultivatingPrizeInfoVo> getCultivatingPrizeInfoList(Map<String, Object> map);

    /**
     * 统计总记录数
     *
     * @param map 入参
     * @return 结果
     */
    int count( Map<String, Object> map);
}
